local t = Def.ActorFrame {
		
		
	LoadActor("BG_Merge") .. {
		InitCommand=cmd(x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT/2;scaletocover,0,0,SCREEN_WIDTH,SCREEN_HEIGHT;);
	
	};

	
	Def.Sprite {
		Texture = "vortex";
		Frame0000=0;
		Delay0000=0.05;
		Frame0001=1;
		Delay0001=0.05;
		Frame0002=2;
		Delay0002=0.05;
		Frame0003=3;
		Delay0003=0.05;

		
		OnCommand=cmd(rotationz,180;blend,"BlendMode_Add";scaletocover,0,0,SCREEN_WIDTH,SCREEN_HEIGHT;x,SCREEN_WIDTH/2;y,SCREEN_HEIGHT/2);
	};
					
		
		
	LoadActor("stgsecond") .. {
		InitCommand=function(self)
			if GAMESTATE:GetCurrentStage() == "Stage_2nd" then
				self:visible(1);	
			else
				self:visible(0);
			end;
		end;
	};


	LoadActor("threestagebg") .. {
		InitCommand=function(self)
			if GAMESTATE:GetCurrentStage() == "Stage_3rd" or  GAMESTATE:GetCurrentStage() == "Stage_Final" then
				self:visible(1);	
			else
				self:visible(0);
			end;
		end;
	};
	
	
	LoadActor("extrastage.lua") .. {
		InitCommand=function(self)
			if GAMESTATE:GetCurrentStage() == "Stage_Extra1" or  GAMESTATE:GetCurrentStage() == "Stage_Extra2" then
				self:visible(1);	
			else
				self:visible(0);
			end;
		end;
	};	




	LoadActor("negro") .. {
		OnCommand=cmd(diffusealpha,1;zoom,10;sleep,0;linear,0.25;diffusealpha,0)
	};



	LoadActor("negro") .. {
		OnCommand=cmd(diffusealpha,0;zoom,10;sleep,2.8;linear,0.2;diffusealpha,1)
	};


	
	LoadActor( THEME:GetPathS("", "FX18.ogg") ) .. {
		OnCommand=function(self)		
			if GAMESTATE:GetCurrentStage() == "Stage_2nd" then
				self:play();
			end;
		end;
	};
	
	LoadActor( THEME:GetPathS("", "FX19.ogg") ) .. {
		OnCommand=function(self)		
			if GAMESTATE:GetCurrentStage() == "Stage_3rd" or  GAMESTATE:GetCurrentStage() == "Stage_Final" then
				self:play();
			end;
		end;
	};
	
	LoadActor( THEME:GetPathS("", "FX20.ogg") ) .. {
		OnCommand=function(self)		
			if GAMESTATE:GetCurrentStage() == "Stage_Extra1" or  GAMESTATE:GetCurrentStage() == "Stage_Extra2" then
				self:play();
			end;
		end;
	};
	
	--- to stop people in widescreen viewing offscreen elements
	-- ez2dancer is not a widescreen game
	Def.Quad {
		OnCommand=cmd(stretchto,SCREEN_RIGHT,SCREEN_TOP,99999,SCREEN_BOTTOM;diffuse,color("#000000"));
	};
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_TOP,SCREEN_LEFT,SCREEN_BOTTOM;diffuse,color("#000000"));
	};


	Def.Quad {
		OnCommand=cmd(stretchto,-99999,-99999,99999,SCREEN_TOP;diffuse,color("#000000"));
	};
	
	
	Def.Quad {
		OnCommand=cmd(stretchto,-99999,SCREEN_BOTTOM,99999,99999;diffuse,color("#000000"));
	};		
	
};
return t;
